Bug 977474 - red global exception when refreshing empty Graphs
red global exception when refreshing empty Graphs
Status: ON_QA
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.8
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-24 12:02 EDT by John Mazzitelli
Modified: 2013-06-25 17:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2013-06-24 12:02:55 EDT
Everytime the Graphs page refreshes, I get an red globally caught exception. I still see some graphs, but others are blank or missing.

I'm on Firefox 19.0.1, if that makes a difference.

Message :	
Globally uncaught exception

Severity :	
Error
	
Time :	
Monday, June 24, 2013 12:01:04 PM UTC-4

Root Cause :	
(TypeError) stack: createMinAvgPeakSidePanel@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:88470 determineScale@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:88458 metricStackedBarGraph.draw@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:88680 $drawJsniChart_0@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:88697 run_19@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:102942 fire_1@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:1551 @http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:1543 apply@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:527 entry0@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:565 @http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:550 fileName: http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html lineNumber: 88470 columnNumber: 6: minValue is undefined

Detail :	

com.google.gwt.core.client.JavaScriptException:(TypeError) 
 stack: createMinAvgPeakSidePanel@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:88470
determineScale@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:88458
metricStackedBarGraph.draw@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:88680
$drawJsniChart_0@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:88697
run_19@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:102942
fire_1@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:1551
@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:1543
apply@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:527
entry0@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:565
@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:550

 fileName: http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html
 lineNumber: 88470
 columnNumber: 6: minValue is undefined
--- STACK TRACE FOLLOWS ---
(TypeError) 
 stack: createMinAvgPeakSidePanel@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:88470
determineScale@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:88458
metricStackedBarGraph.draw@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:88680
$drawJsniChart_0@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:88697
run_19@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:102942
fire_1@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:1551
@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:1543
apply@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:527
entry0@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:565
@http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html:550

 fileName: http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/AC4401E20109BFBE5FED0A0D1DFB330A.cache.html
 lineNumber: 88470
 columnNumber: 6: minValue is undefined
   at Unknown.createMinAvgPeakSidePanel(Unknown Source)
   at Unknown.determineScale(Unknown Source)
   at Unknown.metricStackedBarGraph.draw(Unknown Source)
   at Unknown.$drawJsniChart_0(Unknown Source)
   at Unknown.run_19(Unknown Source)
   at Unknown.fire_1(Unknown Source)
   at Unknown.anonymous(Unknown Source)
   at Unknown.apply(Unknown Source)
   at Unknown.entry0(Unknown Source)
   at Unknown.anonymous(Unknown Source)
   at Unknown.anonymous(Unknown Source)
Comment 1 John Mazzitelli 2013-06-24 12:05:24 EDT
i'm seeing this on Chrome too - Version 24.0.1312.70
Comment 2 John Mazzitelli 2013-06-24 12:07:16 EDT
the chrome error is much different:

Root Cause :	
(TypeError) : Cannot call method 'toFixed' of undefined

Detail :	
com.google.gwt.core.client.JavaScriptException:(TypeError) : Cannot call method 'toFixed' of undefined
--- STACK TRACE FOLLOWS ---
(TypeError) : Cannot call method 'toFixed' of undefined
   at Unknown.createMinAvgPeakSidePanel(http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/7E2A012A4BD13DCA12E9F8149EEEE61E.cache.html@113)
   at Unknown.determineScale(http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/7E2A012A4BD13DCA12E9F8149EEEE61E.cache.html@47)
   at Unknown.$drawJsniChart_0.metricStackedBarGraph.draw(http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/7E2A012A4BD13DCA12E9F8149EEEE61E.cache.html@9)
   at Unknown.$drawJsniChart_0(http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/7E2A012A4BD13DCA12E9F8149EEEE61E.cache.html@96)
   at Unknown.run_19(http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/7E2A012A4BD13DCA12E9F8149EEEE61E.cache.html@3)
   at Unknown.fire_1(http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/7E2A012A4BD13DCA12E9F8149EEEE61E.cache.html@8)
   at Unknown.anonymous(http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/7E2A012A4BD13DCA12E9F8149EEEE61E.cache.html@11)
   at Unknown.apply(http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/7E2A012A4BD13DCA12E9F8149EEEE61E.cache.html@21)
   at Unknown.entry0(http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/7E2A012A4BD13DCA12E9F8149EEEE61E.cache.html@16)
   at Unknown.anonymous(http://localhost:7180/coregui/org.rhq.enterprise.gui.coregui.CoreGUI/7E2A012A4BD13DCA12E9F8149EEEE61E.cache.html@14)
Comment 3 Mike Thompson 2013-06-25 17:25:58 EDT
Fixed and checked into master: 983670c

Stefan cherry picked over to RHQ 4.8.0 for inclusion in this relesase.

Note You need to log in before you can comment on or make changes to this bug.